namespace Pilz.Net.CloudProviders.Nextcloud.OCS;

public readonly struct OcsApiUrlPath
{
    private readonly string path;

    public OcsApiUrlPath()
    {
        path = string.Empty;
    }

    public OcsApiUrlPath(string path)
    {
        this.path = path;
    }

    public static implicit operator string(OcsApiUrlPath o) => o.path;
    public static implicit operator OcsApiUrlPath(string o) => new(o);

    public override readonly string ToString()
    {
        return path;
    }
}
